Page MenuHomePhabricator

Thank You mail send broken on Civi 4.6
Closed, ResolvedPublic1 Story Points

Description

Error: joinAdd: civicrm_tag has no link with civicrm_entity_tag in civicrm_api3()

(line 45 of civicrm/api/api.php)

Event Timeline

Ejegg created this task.Oct 30 2015, 12:42 AM
Ejegg raised the priority of this task from to Unbreak Now!.
Ejegg updated the task description. (Show Details)
Ejegg added a subscriber: Ejegg.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 30 2015, 12:42 AM

The branch situation is confusing at the moment. I added submitted a fix to 4.6.9-deployment, a test to master-plus-4.6.9 and code comments to the CiviCRM repo.

We should either remove the deprecated functions from the civi repo before closing this - or open a ticket to do that.

Looks like i didn't comment them right & they weren't linked :-(

Merged to deployment https://gerrit.wikimedia.org/r/#/c/249954/

comments

https://gerrit.wikimedia.org/r/#/c/249958/

test (obviously in need of some merge fix) https://gerrit.wikimedia.org/r/#/c/249956/

awight closed this task as Resolved.Oct 30 2015, 3:54 AM
awight claimed this task.
awight added a subscriber: awight.

Blocking issue is resolved. Remaining work in a subtask.

awight set Security to None.Nov 4 2015, 11:52 PM
awight edited a custom field.
mmodell removed a subscriber: awight.Jun 22 2017, 9:51 PM
Restricted Application added subscribers: Jay8g, TerraCodes. · View Herald TranscriptJun 22 2017, 9:51 PM